<template>
  <v-container fluid>
    <v-row
      justify="center"
      class="mt-12"
    >
      <v-col
        v-if="communityDisplay"
      >
        <m-card
          background-color="rgb(159,26,31)"
          text-color="white--text text-h6 text-left"
          :card-title="this.$t('community.title')"
          :card-text="this.$t('community.text')"
          :card-text-button="this.$t('community.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('community.button.route')"
          justify-text=""

          flat
        />
      </v-col>
      <v-col
        v-if="eventDisplay"
      >
        <m-card
          background-color="rgb(159,26,31)"
          text-color="white--text text-h6 text-left"
          :card-title="this.$t('event.title')"
          :card-text-button="this.$t('event.buttonShowEvent.label')"
          :card-text-button-two="this.$t('event.buttonCreateEvent.label')"
          :card-text="this.$t('event.text')"
          card-text-color-button="primary--text"
          card-text-color-button-two="primary--text"
          card-color-button="white"
          card-color-button-two="white"
          :href-button="this.$t('event.buttonShowEvent.route')"
          :href-button-two="this.$t('event.buttonCreateEvent.route')"
          flat
          class="mx-2"

          :user-id="userId"
        />
      </v-col>
      <v-col>
        <m-card
          background-color="rgb(159,26,31)"
          text-color="white--text text-h6 text-left"
          :card-title="this.$t('news.title')"
          :card-text-button="this.$t('news.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('news.button.route')"
          flat
          :user-id="userId"
        />
      </v-col>
    </v-row>   
  </v-container>
</template>
<script>
import {merge} from "lodash";
import MCard from '@clientComponents/utilities/MCard'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    userId: {
      type: Number,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile
    }
  },
}
</script>